package com.community.huiju.enums;


/**
 * 楼栋资料库 枚举
 * @author weiximei
 */
public enum UserVerifyEnum {

    NO_AUDIT_REAL_ESTATE("1000", "无关联房产"),

    A_AUDIT_REAL_ESTATE("1001", "关联一个审核通过的房产"),

    A_TO_AUDIT_REAL_ESTATE("1002", "关联一个待审核房产"),

    A_AUDIT_FAILED_REAL_ESTATE("1003", "关联一个审核未通过房产"),

    A_MULTIPLE_REAL_ESTATE("1004", "有多个关联房产"),

    ;

    UserVerifyEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private String code;

    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }


    public static String getMsg(String code) {
        String message = "";
        if ("1000".equals(code)) {
            message = NO_AUDIT_REAL_ESTATE.getMsg();
        } else if ("1001".equals(code)) {
            message = A_AUDIT_REAL_ESTATE.getMsg();
        } else if ("1002".equals(code)) {
            message = A_TO_AUDIT_REAL_ESTATE.getMsg();
        } else if ("1003".equals(code)) {
            message = A_AUDIT_FAILED_REAL_ESTATE.getMsg();
        } else if ("1004".equals(code)) {
            message = A_MULTIPLE_REAL_ESTATE.getMsg();
        }

        return message;
    }

}


