package com.community.huiju.dao;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.TpBuilding;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TpBuildingMapper extends BaseMapper<TpBuilding> {

    /**
     * 楼栋资料库列表
     * @param page
     * @param tpBuilding
     * @return
     */
    IPage<TpBuilding> buildinglist(Page<TpBuilding> page, @Param("tpBuilding") TpBuilding tpBuilding);
}