package com.community.huiju.model;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_announcement")
public class TpAnnouncement implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 小区id**/
    private Integer communityId;

    /**公告标题**/
    private String announcementTitle;

    /**轮播图**/
    private String announcementCarouselImg;

    /**公告内容**/
    private String announcementContent;

    /**排序**/
    private Integer sort;

    /**查看人数**/
    private Integer viewCount;

    /**是否设置为轮播  保留字段**/
    private String setUpCarousel;

    /**0 是已作废 1 是已发布   2 是草稿 3 是已修改**/
    private String status;

    /**创建人编号**/
    private Integer createUser;

    /**创建时间**/
    private Date createDate;

    /**更新人编号**/
    private Integer updateUser;

    /**更新时间**/
    private Date updateDate;
}