package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpBuilding;

import java.util.List;

/**
 * 楼栋资料库
 * @author weiximei
 */
public interface IBuildingOwnerInfo {

    /**
     * 根据 小区/期/楼栋/单元/楼层/户号
     * @param communityId
     * @param phaseId
     * @param buildingId
     * @param unitId
     * @param levelId
     * @return
     */
    ResponseBean selectBuildList(Integer communityId, Integer phaseId, Integer buildingId, Integer unitId, Integer levelId);

    /**
     * 根据 小区/期/楼栋/单元/楼层/户号
     * 并校验这个用户，是否绑定了这个房产
     * @param phaseId
     * @param buildingId
     * @param unitId
     * @param levelId
     * @param roomNoId
     * @return
     */
    ResponseBean hasBuild(UserElement userElement,Integer phaseId, Integer buildingId, Integer unitId, Integer levelId, Integer roomNoId);

}
