package com.community.huiju.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 用户数据
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TaUserVO {

    /** 编号 **/
    private Integer id;

    /** 小区编号 **/
    private Integer communityId;

    /** 头像 **/
    private String headPortrait;

    /** 用户名 **/
    private String userName;

    /** 登录名 **/
    private String loginName;

    /** 邮箱 **/
    private String email;

    /** 性别 **/
    private String gender;

    /** 认证状态 **/
    private String verifyStatus;

    /** 角色 **/
    private String role;

    /** 用户状态 **/
    private String status;

    /** 用户token **/
    private String token;

    /** 地址省市区 **/
    private String addressProvince;

    /** 小区名 **/
    private String communityName;

    /** 楼栋单元号 **/
    private String addressBuilding;

    /** 人脸录入 **/
    private String face;

    /**业主电话**/
    private String proprietorPhone;

    /**业主名字**/
    private String proprietorName;

    /**业主ID**/
    private Integer proprietorID;

    /** 身份证 **/
    private String idCard;

    /** 审核的id **/
    private Integer userVerifyId;

    /**  期id **/
    private Integer phaseId;

    /**  栋id **/
    private Integer buildingId;

    /**  单元id **/
    private Integer unitId;

    /**  楼层id **/
    private Integer levelId;

    /**  户号id **/
    private Integer roomNoId;
}
