package com.community.commom.session;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * session 基础类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserElement implements Serializable {




    /** 用户唯一标识符 **/
    private Integer id;

    /** 小区id **/
    private Integer communityId;

    /** 用户名 **/
    private String userName;

    /** 登陆名 **/
    private String loginName;

    /** 邮箱 **/
    private String email;

    /** 用户状态 **/
    private String status;

    /** 登陆类型 **/
    private String loginType;

    /** 当前登陆的房产 **/
    private Integer userVerifyId;

    /** 当前登录 期id **/
    private Integer phaseId;

    /** 当前登录 栋id **/
    private Integer buildingId;

    /** 当前登录 单元id **/
    private Integer unitId;

    /** 当前登录 楼层id **/
    private Integer levelId;

    /** 当前登录 户号id **/
    private Integer roomNoId;

}
